#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,m,l,r,x,res;
    cin >> n >> m;
    vector<int> niz1(n);
    vector<int> niz2(n);
    for(int i=0;i<n;i++){
        cin >> niz1[i] >> niz2[i];
    }
    for(int i=0;i<m;i++){
        cin >> l >> r >> x;
        res=0;
        for(int j=l-1;j<r;j++){
            if(niz1[j]<=x && x<=niz2[j])
                res++;
        }
        cout << res << endl;
    }
    return 0;
}